package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.product.vo.StockBillLogItemVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
public class StockBillLogItemImportVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "成功解析的数据项")
    private List<StockBillLogItemVO> stockBillLogItemList;

    @Schema(description = "导入结果提示")
    private String tips;

    public List<StockBillLogItemVO> getStockBillLogItemList() {
        return stockBillLogItemList;
    }

    public void setStockBillLogItemList(List<StockBillLogItemVO> stockBillLogItemList) {
        this.stockBillLogItemList = stockBillLogItemList;
    }

    public String getTips() {
        return tips;
    }

    public void setTips(String tips) {
        this.tips = tips;
    }

    @Override
    public String toString() {
        return "StockBillLogItemImportVO{" +
                "stockBillLogItemList=" + stockBillLogItemList +
                ", tips='" + tips + '\'' +
                '}';
    }
}
